Bug 70477 - [G965] piglit.spec.ext_framebuffer_object.fbo-cubemap fails
Summary: [G965] piglit.spec.ext_framebuffer_object.fbo-cubemap fails
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-15 07:53 UTC by fangxun
Modified: 2019-09-25 18:49 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2013-10-15 07:53:32 UTC
System Environment:
--------------------------
Platform: GM45 Q965
Libdrm:       (master)2.4.47
Mesa:         (master)e6c2afa9ceacc188690deba9da7b46bf1a0a9027
Xserver:     (master)xorg-server-1.14.99.2-14-g7cf1b595c8c8f9776a39559d2878cf90af3f2859
Xf86_video_intel: (master)2.99.904-17-g2987a6d5662fb3337f1400a51d016e1c5e21c063

Bug detailed description:
-----------------------------
It fails on gm45 and q965 platform on mesa master branch. It passes on other platforms(PNV, ILK, SNB, IVB, HSW). 
piglit spec_EXT_texture_array_fbo-generatemipmap-array also fails.
Bisect shows 02b632d8e8f2b14c155740d28c276b5869305c60 is the first bad commit.
commit 02b632d8e8f2b14c155740d28c276b5869305c60
Author:     Kenneth Graunke <kenneth@whitecape.org>
AuthorDate: Thu Sep 26 11:55:36 2013 -0700
Commit:     Kenneth Graunke <kenneth@whitecape.org>
CommitDate: Sun Oct 13 00:10:44 2013 -0700

    i965: Move hardware feature flags to brw_device_info.

    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>

Output:
Probe color at (42,34)
  Expected: 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (36,51)
  Expected: 0.000000 1.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (34,60)
  Expected: 1.000000 0.000000 0.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (67,51)
  Expected: 1.000000 1.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (67,60)
  Expected: 0.000000 1.000000 0.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (108,34)
  Expected: 0.000000 1.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (100,51)
  Expected: 1.000000 0.000000 0.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (100,60)
  Expected: 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (133,60)
  Expected: 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (174,34)
  Expected: 1.000000 0.000000 0.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (168,51)
  Expected: 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
Probe color at (166,60)
  Expected: 1.000000 1.000000 0.000000
  Observed: 0.000000 0.000000 0.000000
PIGLIT: {'result': 'fail' }

Reproduce steps:
----------------------------
1. xinit&
2. ./bin/fbo-cubemap -auto
Comment 1 Kenneth Graunke 2013-10-18 23:16:42 UTC
Does this patch fix it?

http://lists.freedesktop.org/archives/mesa-dev/2013-October/046672.html
Comment 2 lu hua 2013-10-23 07:51:15 UTC
(In reply to comment #1)
> Does this patch fix it?
> 
> http://lists.freedesktop.org/archives/mesa-dev/2013-October/046672.html

Test on latest mesa master branch(include this patch), It works well on GM45, and still fails on Q965
Comment 3 GitLab Migration User 2019-09-25 18:49:47 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1400.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.